Subject: Fwd: WG Last Call on IETF Problem Statement (small proposal to expand text in sections 2.2 and 2.3)

From: Melinda Shore <[email-masked]>
Date: Wed, 17 Sep 2003 09:47:29 -0400

The problem description document went through wg last call with
very little feedback.  However, there were some specific suggestions
from Alistair Urie and they haven't received any comment.  Is there
agreement or not with his proposed changes?

Begin forwarded message:

> [ ... deleted text ... ]
> I propose we add to section 2.2 a new dot point under
> problems list and make a corresponding addition later on in the same
> section.  This would complement the existing text in section 2.3 which
> covers the complex problem handling aspect of this issue.
>
> Specific proposed changes are :
> "2.2 The IETF does not Consistently use Effective Engineering Practices
>
> .....
> Some of the contributory problems which interfere with effective
> engineering in WGs include:
> .....
>    o  Failure to identify and articulate engineering trade-offs that  
> may
>       be needed to meet the deadlines that the WG has set without
>       inappropriately reducing the 'fitness for purpose' for the
>       intended customers.
>
> AU - add here>>   o  Difficulty in identify dependencies and respecting
> milestones between WG outputs and work planning and the work of other  
> WGs
> and/or other standards developing bodies outside IETF which are
> collaborating with WGs on common issues
>
>    o  Continued refinement of the solution beyond the point at which it
>       is adequate to meet the requirements placed on it by the intended
>       purpose.
>
> ....
>
>    In addition, IETF processes, and Working Group processes in
>    particular, suffer because commonly accepted Project Management
>    techniques are not regularly applied to the progress of work in the
>    organization.
>
>    o  Project entry, goal setting, and tracking processes are all  
> either
>       missing or implemented less effectively than the norm for
>       commercial organizations in related activities.
>
> AU - replace with>>
>    o  Project entry, goal setting, dependency identification and  
> tracking
>       processes are all either missing or implemented less effectively  
> than
>       the norm for commercial organizations in related activities."
>
>
> 2) - Lack of "undated" references covering IETF outputs

[ ... deleted text ... ]

> To cover this issue I propose we add a new dot point to the list in  
> section
> 2.3.
>
> Specific proposed text is:
>
> "2.3 The IETF has Difficulty Handling Large and/or Complex Problems
> ....
>    Part of the cause of this difficulty may be that the formal  
> reporting
>    structure of the IETF emphasises communication between the IESG
>    through the ADs and the WGs and does not place much reliance on
>    inter-WG communications:
> .....
>
>    o  The IETF does not posess effective formal mechanisms for inter-WG
>       cooperation, coordination or communication, including the  
> handling
>       of dependencies between deliverables and processes specified in  
> in
>       WG charters.
>
> AU - add text>>o  The IETF does not have an effective means for WGs and
> outside standards bodies to refer to "work in progress" on new  
> subjects and
> RFC revisions by means of "undated" references and/or other methods  
> that
> allow work to progress independently on individual components of a  
> complex
> problem."

The full messages is at  
http://www.alvestrand.no/pipermail/problem-statement/2003-September/ 
003039.html